Bug 1282815 - Cannot refresh openshift due to missing permissions for componentstatuses
Cannot refresh openshift due to missing permissions for componentstatuses
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Mooli Tayer
Einat Pacifici
container
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 09:10 EST by Mooli Tayer
Modified: 2015-12-08 08:47 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:47:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Mooli Tayer 2015-11-17 09:10:55 EST
Description of problem:
When trying to refresh provider refresh fails, log contains:

User "system:serviceaccount:default:manageiq" cannot list all componentstatuses in the cluster

componentstatuses causes all the refresh to fail 

Version-Release number of selected component (if applicable):
5.5.0.10
openshift: v1.0.8

How reproducible:
100%

Steps to Reproduce:
1. refresh a openshift provider

Actual results:
refresh fails

Expected results:
other entities should refresh fine.

Additional info:
see also: https://github.com/openshift/origin/issues/5865
Comment 2 Mooli Tayer 2015-11-17 09:13:08 EST
merged upstream: https://github.com/ManageIQ/manageiq/pull/5474/commits
Comment 3 Mooli Tayer 2015-11-17 09:16:44 EST
To verify the this bug the following  Must be found in the log after refresh:

Unexpected Exception during refresh: HTTP status code 403, User "system:serviceaccount:default:manageiq" cannot list all componentstatuses in the 
cluster

And the refresh must succeed
Comment 5 Einat Pacifici 2015-11-26 04:01:01 EST
Bug verified. 

The refresh succeeds and the evm.log shows: 

Unexpected Exception during refresh: HTTP status code 403, User "system:serviceaccount:default:manageiq" cannot list all componentstatuses in the 
cluster
Comment 7 errata-xmlrpc 2015-12-08 08:47:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.